Skip to main content
GET
Get a Pix Schedule

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string
required

Account ID owning the schedule (UUID format)

Path Parameters

schedule_id
string
required

Schedule ID (UUID v7)

Response

OK

accountId
string
required
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

amount
string
required
Example:

"100.50"

attemptCount
integer<int64>
required
Example:

0

attempts
object[]
required
createdAt
string<date-time>
required
Example:

"2026-05-26T12:30:00Z"

destination
object
required
id
string
required
Example:

"01989f9e-6508-79f8-9540-835be49fbd0d"

initiationId
string
required
Example:

"550e8400-e29b-41d4-a716-446655440010"

initiationType
enum<string>
required
Available options:
MANUAL,
KEY,
QR_CODE
Example:

"MANUAL"

maxAttempts
integer<int64>
required
Example:

2

scheduledFor
string<date-time>
required
Example:

"2026-08-15T09:00:00Z"

status
enum<string>
required
Available options:
SCHEDULED,
PROCESSING,
EXECUTED,
FAILED,
CANCELLED
Example:

"SCHEDULED"

updatedAt
string<date-time>
required
Example:

"2026-05-26T12:30:00Z"

cancelledAt
string<date-time>
Example:

"2026-05-19T09:15:33Z"

description
string
Example:

"Recurring charge installment 03/12"

endToEndId
string
Example:

"E1234567820260815060012345678901"

executedAt
string<date-time>
Example:

"2026-08-15T06:00:04Z"

failedAt
string<date-time>
Example:

"2026-08-15T06:00:04Z"

failureMessage
string
failureReason
enum<string>
Available options:
INSUFFICIENT_FUNDS,
BTG_REJECTED,
MIDAZ_REJECTED,
VALIDATION_FAILED,
SCHEDULE_STALE_TIMEOUT,
SCHEDULE_RETRIES_EXHAUSTED
Example:

"INSUFFICIENT_FUNDS"

firedAt
string<date-time>
Example:

"2026-08-15T06:00:04Z"

recurrenceId
string
Example:

"01988a7c-1234-7abc-8def-111122223333"

transferId
string
Example:

"c8d27e3f-4a5b-6c7d-8e9f-0a1b2c3d4e5f"